## javax.xml.xpath
Class XPathConstants

    java.lang.Object
      javax.xml.xpath.XPathConstants

    public class XPathConstants

extends java.lang.Object

XPath constants.

Since:
  1.5
Version:
  $Revision: 446598 $, $Date: 2006-09-15 08:55:40 -0400 (Fri, 15 Sep 2006) $
Author:
  Norman Walsh, Jeff Suttor
See Also:
  XML Path Language (XPath) Version 1.0

Field Summary
`static QName` `BOOLEAN` The XPath 1.0 boolean data type.
`static java.lang.String` `DOM_OBJECT_MODEL` The URI for the DOM object model, "http://java.sun.com/jaxp/xpath/dom".
`static QName` `NODE` The XPath 1.0 NodeSet data type.
`static QName` `NODESET` The XPath 1.0 NodeSet data type.
`static QName` `NUMBER` The XPath 1.0 number data type.
`static QName` `STRING` The XPath 1.0 string data type.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NUMBER

    public static final QName NUMBER

  The XPath 1.0 number data type.

  Maps to Java `Double`.

### STRING

    public static final QName STRING

  The XPath 1.0 string data type.

  Maps to Java `String`.

### BOOLEAN

    public static final QName BOOLEAN

  The XPath 1.0 boolean data type.

  Maps to Java `Boolean`.

### NODESET

    public static final QName NODESET

  The XPath 1.0 NodeSet data type.

  Maps to Java `NodeList`.

### NODE

    public static final QName NODE

  The XPath 1.0 NodeSet data type.

  Maps to Java `Node`.

### DOM_OBJECT_MODEL

    public static final java.lang.String DOM_OBJECT_MODEL

  The URI for the DOM object model, "http://java.sun.com/jaxp/xpath/dom".

  See Also:
    Constant Field Values

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.